ReadOnlyListWrapper (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class ReadOnlyListWrapper<E>

- java.lang.Object
- - javafx.beans.binding.ListExpression<E>
  - - javafx.beans.property.ReadOnlyListProperty<E>
    - - javafx.beans.property.ListProperty<E>
      - - javafx.beans.property.ListPropertyBase<E>
        - - javafx.beans.property.SimpleListProperty<E>
          - - javafx.beans.property.ReadOnlyListWrapper<E>

- All Implemented Interfaces:
    `Iterable<E>`, `Collection<E>`, `List<E>`, `Observable`, `Property<ObservableList<E>>`, `ReadOnlyProperty<ObservableList<E>>`, `ObservableListValue<E>`, `ObservableObjectValue<ObservableList<E>>`, `ObservableValue<ObservableList<E>>`, `WritableListValue<E>`, `WritableObjectValue<ObservableList<E>>`, `WritableValue<ObservableList<E>>`, `ObservableList<E>`

      public class ReadOnlyListWrapper<E>
      extends SimpleListProperty<E>

  This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.
  Since:
    JavaFX 2.1

- - ### Property Summary

    - ### Properties declared in class javafx.beans.binding.ListExpression

      `empty, size`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyListWrapper()` | The constructor of `ReadOnlyListWrapper`
    `ReadOnlyListWrapper​(Object bean, String name)` | The constructor of `ReadOnlyListWrapper`
    `ReadOnlyListWrapper​(Object bean, String name, ObservableList<E> initialValue)` | The constructor of `ReadOnlyListWrapper`
    `ReadOnlyListWrapper​(ObservableList<E> initialValue)` | The constructor of `ReadOnlyListWrapper`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadOnlyListProperty<E>` | `getReadOnlyProperty()` | Returns the readonly property, that is synchronized with this `ReadOnlyListWrapper`.

    - ### Methods declared in class javafx.beans.property.ListPropertyBase

      `fireValueChangedEvent, fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.ReadOnlyListProperty

      `bindContent, bindContentBidirectional, unbindContent, unbindContentBidirectional`

    - ### Methods declared in class javafx.beans.binding.ListExpression

      `asString, emptyProperty, getSize, isEqualTo, isNotEqualTo, isNotNull, isNull, listExpression, sizeProperty, valueAt, valueAt`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods declared in interface java.lang.Iterable

      `forEach`

    - ### Methods declared in interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.collections.ObservableList

      `addAll, addListener, filtered, remove, removeAll, removeListener, retainAll, setAll, setAll, sorted, sorted`

    - ### Methods declared in interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue, setValue`

- - ### Constructor Detail

    - #### ReadOnlyListWrapper

          public ReadOnlyListWrapper()

      The constructor of `ReadOnlyListWrapper`

    - #### ReadOnlyListWrapper

          public ReadOnlyListWrapper​(ObservableList<E> initialValue)

      The constructor of `ReadOnlyListWrapper`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### ReadOnlyListWrapper

          public ReadOnlyListWrapper​(Object bean,
                                     String name)

      The constructor of `ReadOnlyListWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyListWrapper`
        `name` - the name of this `ReadOnlyListWrapper`

    - #### ReadOnlyListWrapper

          public ReadOnlyListWrapper​(Object bean,
                                     String name,
                                     ObservableList<E> initialValue)

      The constructor of `ReadOnlyListWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyListWrapper`
        `name` - the name of this `ReadOnlyListWrapper`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getReadOnlyProperty

          public ReadOnlyListProperty<E> getReadOnlyProperty()

      Returns the readonly property, that is synchronized with this `ReadOnlyListWrapper`.
      Returns:
        the readonly property